/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer;

import javax.swing.AbstractAction;

/**
 * <p>
 * Utility wrapper for Abstract action to indicate a layer action
 * </p>
 *<p>
 *  Default Layer actions should extend this class and make themselves known through the
 * ServiceProvider annotation like this:</p>
 * <p>
 * <code> &#64;ServiceProvide(service=LayerAction.class)</code>
 * </p>
 * @author Timon Veenstra
 */
public abstract class LayerAction extends AbstractAction{

}
