/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 *
 * A layer represents a set of data to be shown on the
 * map in a layer.
 *
 * @deprecated Layers provide an explorer manager which keeps track of layer objects and selection
 * @author Timon Veenstra
 */
@Deprecated
public abstract class ObjectLayer<O extends Geometrical> extends BaseLayer {

    private final List<O> objects = new ArrayList<O>();
    private final List<O> selectedObjects = new ArrayList<O>();
    
    public ObjectLayer(Palette palette, Category category, String name) {
        super(palette, category, name);
    }

    /**
     * get a list of objects in the layer
     * Objects extend the LayerObject interface which contains
     * a geometry.
     *
     * @return
     */
    public List<O> getObjects() {
        return Collections.unmodifiableList(this.objects);
    }

    /**
     * Add a layerObject to the internal objects list
     *
     * @param object
     */
    public void addObject(O object) {
        this.objects.add(object);
    }

    /**
     * remove a layerObject from the internal objects list
     *
     * @param object
     */
    public void removeObject(O object) {
        if (this.objects.contains(object)) {
            this.objects.remove(object);
        }
    }

    /**
     * clear the objects list
     */
    public void clearObjects() {
        this.objects.clear();
    }

    /**
     * 
     * @param objectsToAdd
     */
    public void addObjects(List<O> objectsToAdd) {
        this.objects.addAll(objectsToAdd);
    }


    public List<O> getSelectedObjects() {
        return selectedObjects;
    }
}
